package event

type PlayerLogout struct {
	ActorId    string // actor id
	PlayerId   string // player id
	TargetPath string
}

func NewPlayerLogout(actorId string, playerId, targetPath string) PlayerLogout {
	event := PlayerLogout{
		ActorId:    actorId,
		PlayerId:   playerId,
		TargetPath: targetPath,
	}
	return event
}

func (PlayerLogout) Name() string {
	return PlayerLogoutKey
}

func (p PlayerLogout) UniqueId() string {
	return p.PlayerId
}
